Get Fx Rates (GQL)

Note: All the Fx Pay API's have the endpoint: /graphql

Please refer to the link: FX Pay Transfers for details about FX Pay Transfers.

Use this API to retrieve Fx Rates.

Behaviour : A successful response from this API indicates that the requested FX rates were successfully retrieved.

Body Params

The following fields provide detailed information about the GraphQL query to fetch foreign exchange (FX) rates between two currencies:

ParameterDescriptionMandatoryData TypeExample
getFetchFxRatesThis is the query to fetch foreign exchange (FX) rates between two currencies.YesQuery
sourceCurrencyThe currency from which the conversion will be made.YesStringUSD
destinationCurrencyThe currency to which the conversion will be made.YesStringINR
baseFxRateThe base foreign exchange rate without any markup or margin.YesFloat74.25
marginThe markup or margin added to the base foreign exchange rate. This represents the additional cost or profit associated with the currency conversion.YesFloat0.75
fxRateThe final foreign exchange rate, including any markup or margin.YesFloat75.00
rateSignatureA signature or identifier associated with the exchange rate.YesStringabc123signature
lockExpiryAtThe timestamp indicating when the exchange rate lock expires, if applicable. This is relevant in scenarios where the exchange rate is guaranteed for a certain period of time.NoString2024-07-26T12:00:00Z
string
required
Defaults to query { getFetchFxRates(sourceCurrency: "USD", destinationCurrency: "INR") { sourceCurrency destinationCurrency baseFxRate margin fxRate rateSignature lockExpiryAt } }
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json